package com.tencent.mm.plugin.webview.luggage.permission;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.protocal.GeneralControlWrapper;
import com.tencent.mm.protocal.JsapiPermissionWrapper;

class a$a {
    public JsapiPermissionWrapper ulr;
    public GeneralControlWrapper uls;

    public a$a(JsapiPermissionWrapper jsapiPermissionWrapper, GeneralControlWrapper generalControlWrapper) {
        this.ulr = jsapiPermissionWrapper;
        this.uls = generalControlWrapper;
    }

    public final String toString() {
        AppMethodBeat.i(6481);
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("Permission: jsPerm = ");
        stringBuilder.append(this.ulr);
        stringBuilder.append(", genCtrl = ");
        stringBuilder.append(this.uls);
        String stringBuilder2 = stringBuilder.toString();
        AppMethodBeat.o(6481);
        return stringBuilder2;
    }
}
